## org.eclipse.emf.converter.ui.contribution.base
Class ModelConverterPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IWizardPage, Listener

Direct Known Subclasses:
  ModelConverterPackagePage, ModelConverterURIPage, ModelExporterOptionsPage

    public abstract class ModelConverterPage

extends WizardPage
implements Listener

Since:
  2.2.0

Nested Class Summary
`protected static class` `ModelConverterPage.PageDiagnosticHandler`

Field Summary
`static int` `CAUSE_BACK`
`static int` `CAUSE_CANCEL`
`static int` `CAUSE_FINISH`
`static int` `CAUSE_NEXT`
`static int` `CAUSE_UNKNOWN`
`protected boolean` `forwardDirection`
`protected boolean` `handlingEvent`
`protected ModelConverter` `modelConverter`
`protected boolean` `neverVisible`
`protected ModelConverterPage.PageDiagnosticHandler` `pageDiagnosticHandler`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`protected` `ModelConverterPage(ModelConverter modelConverter, java.lang.String pageName)`

Method Summary
`void` `dispose()`
`protected void` `doHandleEvent(Event event)`
`protected ModelConverter` `getModelConverter()`
`IWizardPage` `getNextPage()`
`IWizardPage` `getPreviousPage()`
`protected void` `handleDiagnostic(Diagnostic diagnostic)`
`protected void` `handleDiagnostic(Diagnostic diagnostic, java.lang.String message, java.lang.String dialogTitle, java.lang.String dialogMessage)`
`void` `handleEvent(Event event)`
`boolean` `isHandlingEvent()`
`boolean` `isPageComplete()`
`protected void` `pageActivated(boolean firstTime, int cause)`
`protected void` `pageDeactivated(int cause)`
`void` `setHandlingEvent(boolean handlingEvent)`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getShell, getWizard, isCurrentPage, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

Field Detail

### CAUSE_UNKNOWN

    public static final int CAUSE_UNKNOWN

See Also:
  Constant Field Values

### CAUSE_BACK

    public static final int CAUSE_BACK

See Also:
  Constant Field Values

### CAUSE_NEXT

    public static final int CAUSE_NEXT

See Also:
  Constant Field Values

### CAUSE_FINISH

    public static final int CAUSE_FINISH

See Also:
  Constant Field Values

### CAUSE_CANCEL

    public static final int CAUSE_CANCEL

See Also:
  Constant Field Values

### modelConverter

    protected ModelConverter modelConverter

### neverVisible

    protected boolean neverVisible

### forwardDirection

    protected boolean forwardDirection

### handlingEvent

    protected boolean handlingEvent

### pageDiagnosticHandler

    protected ModelConverterPage.PageDiagnosticHandler pageDiagnosticHandler

Constructor Detail

### ModelConverterPage

    protected ModelConverterPage(ModelConverter modelConverter,
                                 java.lang.String pageName)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IDialogPage`
  Overrides:
    `dispose` in class `DialogPage`

### getModelConverter

    protected ModelConverter getModelConverter()

### pageActivated

    protected void pageActivated(boolean firstTime,
                                 int cause)

### pageDeactivated

    protected void pageDeactivated(int cause)

### getNextPage

    public IWizardPage getNextPage()

  Specified by:
    `getNextPage` in interface `IWizardPage`
  Overrides:
    `getNextPage` in class `WizardPage`

### getPreviousPage

    public IWizardPage getPreviousPage()

  Specified by:
    `getPreviousPage` in interface `IWizardPage`
  Overrides:
    `getPreviousPage` in class `WizardPage`

### isPageComplete

    public boolean isPageComplete()

  Specified by:
    `isPageComplete` in interface `IWizardPage`
  Overrides:
    `isPageComplete` in class `WizardPage`

### isHandlingEvent

    public boolean isHandlingEvent()

### setHandlingEvent

    public void setHandlingEvent(boolean handlingEvent)

### handleEvent

    public void handleEvent(Event event)

  Specified by:
    `handleEvent` in interface `Listener`

### doHandleEvent

    protected void doHandleEvent(Event event)

### handleDiagnostic

    protected void handleDiagnostic(Diagnostic diagnostic)

### handleDiagnostic

    protected final void handleDiagnostic(Diagnostic diagnostic,
                                          java.lang.String message,
                                          java.lang.String dialogTitle,
                                          java.lang.String dialogMessage)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.